package global

import (
	"fmt"
	"log"
	"xg_dba/internal/middleware"
	"xg_dba/module/logger"

	"github.com/sirupsen/logrus"
)

var Logger *logrus.Logger
var Cfg *Config
var Cache *middleware.ServerDbCache
var Progress *middleware.ProgressManager

func GlobalInit(cachePath string) {
	fmt.Println("Init function from package global")
	Cfg = LoadConfig("./dba.toml")
	fmt.Println("cfg :", Cfg)
	Logger = logger.InitLogs(Cfg.Logs.AppLog, "info")
	var err error
	if Cache, err = middleware.InitCache(cachePath); err != nil {
		log.Fatalf("无法解析配置文件: %s", err)
	}
	Progress = middleware.NewProgressManager()
}
