package test

import (
	"fmt"
	"testing"
	"xg_dba/api"
	"xg_dba/internal/global"
	connect "xg_dba/internal/services/connect"
)

func TestMain(m *testing.M) {
	// 初始化 Logger，指向一个缓冲区或其他目的地以便测试
	//Logger := logger.InitLogs("C:\\Program_GT\\Code\\Go\\Work\\xugu\\xg_dba\\logs\\test", "info")
	global.GlobalInit("C:\\Program_GT\\Code\\Go\\Work\\xugu\\xg_dba\\config")
	// 运行所有测试
	exitVal := m.Run()
	fmt.Println("exitVal:", exitVal)
	// 进行必要的清理工作（如果有）
	// ...

	// 退出
	//os.Exit(exitVal)
}

func TestConnectInfo(t *testing.T) {
	connectInfo := []api.ConnectInfoRequest{
		api.ConnectInfoRequest{
			//	Id: "1",
			Ssh: api.SshInfo{
				Username: "gtong",
				Password: "845895",
				Host:     "327.0.0.1",
				Port:     "22",
			},
			Db: api.DbInfo{
				User:     "SYSDBA",
				Password: "SYSDBA",
				Port:     "5236",
				Database: "test",
			},
		},
		api.ConnectInfoRequest{
			//Id: "2",
			Ssh: api.SshInfo{
				Username: "gtong",
				Password: "845895",
				Host:     "327.0.0.2",
				Port:     "22",
			},
			Db: api.DbInfo{
				User:     "SYSDBA",
				Password: "SYSDBA",
				Port:     "5231",
				Database: "test",
			},
		},
	}
	localPath := "C:\\Program_GT\\Code\\Go\\Work\\xugu\\xg_dba\\config/" + connectInfo[0].Ssh.Host + "/" + connectInfo[0].Ssh.Host + ".toml"
	if err := connect.SetConnectInfo_service(connectInfo, localPath); err != nil {
		t.Errorf("SetConnectInfo_service failed: %v", err)
	}

}
